%define plugindir %{_libdir}/esmtp-plugins
%global momorel 1
Summary:  	SMTP client library
Name:     	libesmtp
Version:  	1.0.3r1
Release:        %{momorel}m
License:	LGPL
Group:    	System Environment/Libraries
%NoSource 0  	http://www.stafford.uklinux.net/libesmtp/%{name}-%{version}.tar.bz2 c07aa79293aa36298626fe5e68d6bfba
Patch0:		libesmtp-pthread.patch
URL:       	http://www.stafford.uklinux.net/libesmtp/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq:	openssl-devel pkgconfig

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim.  It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.

%package devel
Summary:  	SMTP client library development libs,includes
Requires:	openssl-devel
Requires:	%{name} = %{version}-%{release}
Group:    	Development/Libraries

%description devel
LibESMTP devel package
 
%prep 
%setup -q
%patch0 -p1 -b .pthread

%build
if pkg-config openssl ; then
  export CFLAGS="$CFLAGS %{optflags} `pkg-config --cflags openssl`"
  export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
  export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
%configure --with-auth-plugin-dir=%{plugindir} --enable-pthreads \
  --enable-require-all-recipients --enable-debug \
  --enable-etrn
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/%{_libdir}/*.la


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.GPL NEWS Notes README
%{_libdir}/libesmtp.so.*
%{plugindir}

%files devel
%defattr(-,root,root)
%{_bindir}/libesmtp-config
%{_prefix}/include/*
%{_libdir}/libesmtp.so
%{_libdir}/libesmtp.a

%changelog
* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (1.0.3r1-1m)
- ver up. Sync with FC3(1.0.3r1-2).

* Sun Jan 23 2005 Toru Hoshina <t@momonga-linux.org>
- (1.0.2-2m)
- enable x86_64.

* Mon Jan 19 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.2-1m)
- update to version 1.0.2

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-0.1.5m)
- s/Copyright:/License:/

* Thu Mar  6 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0-0.1.4m)
  rebuild against openssl 0.9.7a

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.0-0.1.3m)
- fix build problem against autoconf-2.53

* Thu Aug  1 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.1.2m)
- devel: Requires: %{name} = %{version}-%{release}

* Wed Jul 31 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0-0.1.1m)
- first release for momonga
- version 1.0rc1
